/*
 * Copyright 2023 Free Software Foundation, Inc.
 *
 * This file is part of GNU Radio
 *
 * SPDX-License-Identifier: GPL-3.0-or-later
 *
 */

/***********************************************************************************/
/* This file is automatically generated using bindtool and can be manually edited  */
/* The following lines can be configured to regenerate this file during cmake      */
/* If manual edits are made, the following tags should be modified accordingly.    */
/* BINDTOOL_GEN_AUTOMATIC(0)                                                       */
/* BINDTOOL_USE_PYGCCXML(0)                                                        */
/* BINDTOOL_HEADER_FILE(freq_offset_tagger.h)                                        */
/* BINDTOOL_HEADER_FILE_HASH(8b87ff3e8a8d4596ea8b43c6caa296a4)                     */
/***********************************************************************************/

#include <pybind11/complex.h>
#include <pybind11/pybind11.h>
#include <pybind11/stl.h>

namespace py = pybind11;

#include <gnuradio/channel_monitoring/freq_offset_tagger.h>
// pydoc.h is automatically generated in the build directory
#include <freq_offset_tagger_pydoc.h>

void bind_freq_offset_tagger(py::module& m)
{

    using freq_offset_tagger = gr::channel_monitoring::freq_offset_tagger;


    py::class_<freq_offset_tagger,
               gr::block,
               gr::basic_block,
               std::shared_ptr<freq_offset_tagger>>(
        m, "freq_offset_tagger", D(freq_offset_tagger))

        .def(py::init(&freq_offset_tagger::make),
             py::arg("norm_factor"),
             py::arg("tag_key") = "frac_freq_offset",
             D(freq_offset_tagger, make))


        ;
}
